import React, { Component } from 'react';

class Indexes extends Component {
    render() {
        var index;

        if (this.props.styles) {
            var styles = this.props.styles;

            index = [];

            var nodeCount = styles.nodeCount;

            for(var i=0; i < nodeCount; i++){
                var nodeNumber = i + 1;
                var nodeClasses = [];
                var nodeStyles = {
                    display : '',
                    transform : '',
                    width: '1px',
                    height: '10%',
                    position: 'absolute',
                    left: '50%',
                    transformOrigin: '0 500%'
                };

                var rotation = 'rotate(' + (360/nodeCount)*nodeNumber + 'deg)';

                nodeStyles.transform = rotation;

                var customNode;
                if (styles.customNode) {
                    var customNodes = styles.customNode;
                    customNode = customNodes[nodeNumber];
                }
                
                var color;
                if (customNode && typeof customNode.color !== 'undefined') {
                    color = customNode.color;
                } else {
                    color = styles.color;
                }

                nodeClasses.push(color);

                if (customNode && typeof customNode.display !== 'undefined') {
                    nodeStyles.display = customNode.display;
                }

                var indexNode = <li key={i} className={ nodeClasses } style={ nodeStyles }></li>;
                index.push(indexNode);
            }
        }

        return (
            <ul className="m-0 p-0 index"
                style={{
                    width : '100%',
                    height : '100%',
                    listStyleType: 'none',
                    position: 'absolute',
                    top: '0',
                    left: '0'
                }}>
                {index}
            </ul>
        );
    }
};

export default Indexes