const path = require('path');

module.exports = {
    entry: './src/App.js',
    output: {
        library: "reactBootstrapDesign",
        libraryTarget: "umd",
        path: path.resolve(__dirname, './bin'),
        filename: 'index.js',
    },
    module: {
        rules: [
            {
                test: /\.js$/,
                include: path.resolve(__dirname, 'src'),
                exclude: /(node_modules|bower_components|build)/,
                use: {
                    loader: 'babel-loader',
                    options: {
                        presets: ['env']
                    }
                }
            }
        ]
    },
    externals: {
        'react': 'react'
    }
}